<?xml version="1.0" encoding="utf-8"?>
<LinearLayout
    xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    tools:context=".PhoneAuth"
    android:layout_marginStart="15dp"
    android:orientation="vertical">

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:gravity="center_horizontal"
        android:orientation="vertical"
        android:layout_marginTop="-60dp">

        <ImageView
            android:id="@+id/imageView"
            android:layout_width="116dp"
            android:layout_height="110dp"
            android:layout_marginTop="100dp"
            android:src="@drawable/password"/>

        <TextView
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginTop="30dp"
            android:text="OTP Verification"
            android:textSize="25sp"
            android:textStyle="bold"
            android:textColor="@color/black"/>

    </LinearLayout>

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:orientation="horizontal"
        android:layout_marginTop="55dp"
        android:background="@drawable/custom_edit_text">

    <com.hbb20.CountryCodePicker
        android:id="@+id/ccp"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        app:ccpDialog_textColor="@color/black"
        android:layout_marginTop="35dp"/>

    <com.google.android.material.textfield.TextInputLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_margin="20dp"
        android:id="@+id/emailInputLayout"
        style="@style/Widget.MaterialComponents.TextInputLayout.OutlinedBox">

        <com.google.android.material.textfield.TextInputEditText
            android:id="@+id/phoneNumber"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:hint="Enter Number"
            android:inputType="number"
            android:maxLength="20"/>
    </com.google.android.material.textfield.TextInputLayout>

    </LinearLayout>

    <androidx.appcompat.widget.AppCompatButton
        android:id="@+id/sendOtp"
        android:layout_width="152dp"
        android:layout_marginTop="35dp"
        android:layout_height="wrap_content"
        android:layout_gravity="center"
        android:text="Send Otp"
        android:textColor="@color/white"
        android:backgroundTint="@color/purple">
    </androidx.appcompat.widget.AppCompatButton>

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:padding="10dp"
        android:layout_marginTop="30dp"
        android:orientation="vertical"
        android:background="@drawable/custom_edit_text">

        <ImageView
            android:layout_width="40dp"
            android:layout_height="40dp"
            android:layout_gravity="start"
            android:src="@drawable/google"
            android:layout_marginStart="35dp"
            android:layout_marginEnd="5dp"/>

        <TextView
            android:id="@+id/google"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_gravity="center"
            android:layout_marginTop="-45dp"
            android:text="Sign in with Google"
            android:textAlignment="center"
            android:padding="10dp"
            android:textColor="@android:color/black"
            android:textSize="20sp" />

    </LinearLayout>


    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:padding="10dp"
        android:layout_marginTop="30dp"
        android:orientation="vertical"
        android:background="@drawable/custom_edit_text">

        <ImageView
            android:layout_width="40dp"
            android:layout_height="40dp"
            android:layout_gravity="start"
            android:src="@drawable/fb"
            android:layout_marginStart="35dp"
            android:layout_marginEnd="5dp"/>

        <TextView
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_gravity="center"
            android:layout_marginTop="-45dp"
            android:text="Sign in with Facebook"
            android:textAlignment="center"
            android:padding="10dp"
            android:layout_marginStart="12dp"
            android:textColor="@android:color/black"
            android:textSize="20sp" />

    </LinearLayout>

    <!--    <View-->
<!--        android:id="@+id/view"-->
<!--        android:layout_width="match_parent"-->
<!--        android:layout_height="450dp"-->
<!--        android:background="@android:color/holo_orange_light"-->
<!--        app:layout_constraintTop_toTopOf="parent" />-->

<!--    <androidx.cardview.widget.CardView-->
<!--        android:id="@+id/cardView2"-->
<!--        android:layout_width="match_parent"-->
<!--        android:layout_height="500dp"-->
<!--        android:layout_margin="30dp"-->
<!--        android:background="#d3d3d3"-->
<!--        app:cardCornerRadius="30dp"-->
<!--        app:cardElevation="30dp"-->
<!--        app:layout_constraintBottom_toBottomOf="parent"-->
<!--        app:layout_constraintTop_toTopOf="@+id/view"-->
<!--        tools:layout_editor_absoluteX="30dp">-->

<!--        <LinearLayout-->
<!--            android:layout_width="match_parent"-->
<!--            android:layout_height="match_parent"-->
<!--            android:orientation="vertical"-->
<!--            android:layout_marginTop="100dp">-->

<!--            <ImageView-->
<!--                android:layout_width="100dp"-->
<!--                android:layout_height="100dp"-->
<!--                android:layout_gravity="center"-->
<!--                android:layout_marginTop="20dp"-->
<!--                android:src="@drawable/ic_baseline_person_pin_24" />-->

<!--            <TextView-->
<!--                android:layout_width="match_parent"-->
<!--                android:layout_height="wrap_content"-->
<!--                android:layout_gravity="center"-->
<!--                android:text="Google Login"-->
<!--                android:textAlignment="center"-->
<!--                android:textSize="32sp" />-->

<!--            <androidx.cardview.widget.CardView-->
<!--                android:layout_width="wrap_content"-->
<!--                android:layout_height="wrap_content"-->
<!--                app:cardCornerRadius="20dp"-->
<!--                app:cardElevation="30dp"-->
<!--                android:layout_gravity="center"-->
<!--                android:layout_margin="50dp"-->
<!--                android:clickable="true"-->
<!--                android:focusable="true"-->
<!--                android:id="@+id/Signin">-->

<!--                <LinearLayout-->
<!--                    android:layout_width="match_parent"-->
<!--                    android:layout_height="match_parent"-->
<!--                    android:background="@android:color/black"-->
<!--                    android:padding="10dp">-->

<!--                    <ImageView-->
<!--                        android:layout_width="24dp"-->
<!--                        android:layout_height="24dp"-->
<!--                        android:layout_gravity="start"-->
<!--                        android:src="@drawable/google"-->
<!--                        android:layout_marginEnd="5dp"/>-->

<!--                    <TextView-->
<!--                        android:layout_width="match_parent"-->
<!--                        android:layout_height="wrap_content"-->
<!--                        android:layout_gravity="center"-->
<!--                        android:text="Sign in with Google"-->
<!--                        android:textAlignment="center"-->
<!--                        android:textSize="16sp"-->
<!--                        android:textColor="@android:color/white"/>-->
<!--                    -->
<!--                    -->
<!--                </LinearLayout>-->

<!--                <LinearLayout-->
<!--                    android:layout_width="match_parent"-->
<!--                    android:layout_height="match_parent"-->
<!--                    android:background="@android:color/black"-->
<!--                    android:padding="10dp">-->

<!--                    <ImageView-->
<!--                        android:layout_width="24dp"-->
<!--                        android:layout_height="24dp"-->
<!--                        android:layout_gravity="start"-->
<!--                        android:src="@drawable/google"-->
<!--                        android:layout_marginEnd="5dp"/>-->

<!--                    <TextView-->
<!--                        android:layout_width="match_parent"-->
<!--                        android:layout_height="wrap_content"-->
<!--                        android:layout_gravity="center"-->
<!--                        android:text="Sign in with Google"-->
<!--                        android:textAlignment="center"-->
<!--                        android:textSize="16sp"-->
<!--                        android:textColor="@android:color/white"/>-->

<!--                </LinearLayout>-->
<!--                -->
<!--            </androidx.cardview.widget.CardView>-->

<!--        </LinearLayout>-->

<!--    </androidx.cardview.widget.CardView>-->

</LinearLayout>